Buy Now
Sign in

Cnronoforms V4 and Joomla 3.7

mapme , April 27 at 16:40
m
mapme

Hi,

Is there any documentation on support for the older versions of Chronoforms with Joomla 3.7?
Some old legacy sites with many CF 4 applications looking to upgrade to J3.7

Thanks,

Brendan

g
greendl

Did you try the upgrade to Joomla 3.7? I have CF 4 and was wondering the same thing.

Also do you know if you can run CF 5 or 6 along side of CF 4? Someone mentioned making any new forms in a newer version and I was wondering if both will run on the same site without conflict.

GreyHead

Hi,

You can run CFv4, v5 and v6 on the same site if you need to. There are no conflicts.

I upgraded my test site to Joomla! 3.7 a day or two ago and so far have seen no problems. (There are known problems with PHP 7.1 so stay with 7.0 for the moment.)

Bob

ChronoForms technical support
If you'd like to buy me a coffee or two, thank you very much

d
dan@apps4meetings.com

Hi,

We were using chronoform 4.0 RC3.4.1 on joomla-2.5 and we did few changes to chronoform as per our need.
recently we upgraded site to joomla-3.7 and we found that chronoforms are no longer working.

Admin page is showing error "An error has occurred.
404 Component not found."
on administrator/index.php?option=com_chronoforms URL

We noticed version 4.0 used some deprecated functions which are removed in joomla-3

$database->getTableFields(array($tablename),false)

now new joomla use
$database->getTableColumns($tablename,false)


Is there a way(any documentation) we can upgrade existing 4.0 code to work with joomla-3.7 ?

thanks

GreyHead

Hi dan,

I have CFv4 running on Joomla! 3.7.4 with no obvious problems - there are some known bugs noted in this FAQ.

You should at least upgrade to the latest release of CFv4 for Joomla! 3

Bob

ChronoForms technical support
If you'd like to buy me a coffee or two, thank you very much